package bork

import (
	"errors"
	"fmt"
)

var ErrMissingMagic = errors.New("missing magic bytes in file")
var ErrFileTruncated = errors.New("file/stream is truncated abnormally")

func Newf(format string, args ...interface{}) error {
	return errors.New(fmt.Sprintf(format, args...))
}
